Name:           gnac
Version:        0.2.4.1
Release:        %mkrel 10
Summary:        Easy to use audio conversion program for the Gnome desktop
Group:          Sound/Editors and Converters
License:        GPLv3
Url:            http://gnac.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/gnac/gnac/gnac-0.2.4.1/%{name}-%{version}.tar.bz2
# (cjw) use voaacenc instead of faac
Patch1:		gnac-0.2.4.1-nofaac.patch
# (cjw) let configure pass our cflags
Patch2:		gnac-0.2.4.1-cflags.patch
Patch3:		gnac-0.2.4.1-drop-gettext-macro.patch
# (cjw) fix a typo so it build with gcc 5
Patch4:		gnac-0.2.4.1-gcc5.patch
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-pbutils-0.10)
BuildRequires:  pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:  pkgconfig(gstreamer-tag-0.10)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(unique-3.0)
Requires:       gstreamer0.10-plugins-base
Requires:       gstreamer0.10-plugins-good
Requires:	gstreamer0.10-flac
Requires:	gstreamer0.10-speex
# for xingmux used in mp3 encoding
#Requires:	gstreamer0.10-plugins-ugly
# for lame used in mp3 encoding but is in tainted
#Requires:	gstreamer0.10-lame
# for voaacenc used in mp3 encoding but is in tainted
#Requires:	gstreamer0.10-plugins-bad

%description
Gnac is an easy to use audio conversion program for the GNOME desktop.
It is designed to be powerful but simple! It provides easy audio files
conversion between all GStreamer supported audio formats.

%prep
%setup -q
%autopatch -p1

%build
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

%configure2_5x 
%make

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_bindir}/%{name}
%{_datadir}/applications/gnac.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/*/*
%{_datadir}/locale/*/*/%{name}.mo


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 0.2.4.1-10.mga6
+ Revision: 960320
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 cjw <cjw> 0.2.4.1-9.mga6
+ Revision: 871414
- patch4: fix build with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4.1-8.mga5
+ Revision: 738930
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4.1-7.mga5
+ Revision: 679690
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 0.2.4.1-6.mga4
+ Revision: 505668
- fix build with latest gnome-common

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4.1-5.mga3
+ Revision: 351925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 cjw <cjw> 0.2.4.1-4.mga3
+ Revision: 327089
- add BuildRequires: gnome-common for gnome-autogen.sh
- patch1: use voaacenc instead of faac which we don't have
- patch2: use our cflags so debug package can be used
- add dependencies on flac and speex streamer plugins

* Wed Dec 05 2012 barjac <barjac> 0.2.4.1-3.mga3
+ Revision: 327003
- change group to new policy
- minor spec clean

* Wed Aug 01 2012 juancho <juancho> 0.2.4.1-2.mga3
+ Revision: 277214
+ rebuild (emptylog)

* Mon Jul 30 2012 juancho <juancho> 0.2.4.1-1.mga3
+ Revision: 275891
- imported package gnac


* Thu Jun 28 2012 Alfonso Vera <bersuit.vera@gmail.com> - 0.2.4.1-1bdk.mga2
+ Build for Mageia 2
  - Support for Gnome 3


* Sun Jul 29 2009 Packagers de Blogdrake <bdk-packagers@googlegroups.com> - 0.2.1-01
- New RPM for Mandriva 2009.1 

